﻿function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("mod_name"),
		description = _("mod_desc"),
		params = {	
			{
				key = "endless_mode",
				name = _("Endlosmodus"),
				uiType = "CHECKBOX",
				values = { "No", "Yes", },				
				defaultIndex = 0,	
			},
			{
				key = "ne_signal_waypoint",
				name = _("Wegpunkte"),
				uiType = "CHECKBOX",
				values = { "No", "Yes", },				
				defaultIndex = 0,	
			},
		},
		modid = "modwerkstatt_nebenbahnsignale_1",
		authors = {
			{
				name = "ModWerkstatt",
				role = "CREATOR",
				text = "Modell, Mapping and Textures",
			},
		},
		url = "",
		steamId = 0,
		tags = { "Signal", "Nebenbahn", "Basis", },
		dependencies = { "modwerkstatt_signalkomponenten_1" },
	},
	runFn = function (settings, modParams)
	 
		local function endlessFilter(fileName, data)	
			if data.metadata.signal and data.metadata.neSignale then
                data.metadata.availability.yearTo = 0	
				--return false
            end
			--return true
			return data	
		end 
		local function waypointFilter(fileName, data)		
			if data.metadata.signal and data.metadata.neSignale and data.metadata.neSignale.waypoint == true then	
				data.metadata.availability.yearFrom = 1
				data.metadata.availability.yearTo = 2				
			end				
			return data	
		end 
		
	if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["endless_mode"] == 1 then			
				--addFileFilter("model/signal", endlessFilter)		
                addModifier("loadModel", endlessFilter)
            end
			if params["ne_signal_waypoint"] == 0 then				
				addModifier("loadModel", waypointFilter)
			end
			
		else
			--addFileFilter("model/signal", endlessFilter)			
			addModifier("loadModel", waypointFilter)
		end	
	end
}
end